//+------------------------------------------------------------------+
//|                                             TestInvalidArray.mq5 |
//|                                  Copyright 2021, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
class TestAClass
   {
   public:
      int a;
      int b;
      TestAClass(){};
      TestAClass(int aA, int aB):
         a(aA),
         b(aB)
         {
         };
   };
class TestBClass
   {
   public:
      TestAClass * TestA;
      TestBClass(){};
      TestBClass(int aA, int aB)
         {
         TestA = new TestAClass(aA,aB);
         };
      ~TestBClass()
         {
         delete TestA;
         }
   };
class ArrayElementClass
   {
   public:
      int n;
      string Name;
      TestBClass * TestB[];
      int Qty;
      ArrayElementClass(){};
      ArrayElementClass(int aN, string aName, int aQty, int aA, int aB):
         n(aN),
         Name(aName),
         Qty(aQty)
         {
         ArrayResize(TestB,Qty);
         for (int i = 0; i < Qty; i++){
            TestB[i] = new TestBClass(aA + i,aB + i);
            }
         };
      ~ArrayElementClass()
         {
         for (int i = 0; i < Qty; i++){
            delete TestB[i];
            }
         }
   };
class TestArrayClass
   {
   public:
   ArrayElementClass * ArrayElement[];
   int Qty;
   TestArrayClass(){};
   TestArrayClass(int aQty):
      Qty(aQty)
      {
      ArrayResize(ArrayElement,Qty);
      for (int i = 0; i < Qty; i++){
         ArrayElement[i] = new ArrayElementClass(i,"Test_" + IntegerToString(i),3,i+1,i+1);
         }
      };
   ~TestArrayClass()
      {
      for (int i = 0; i < Qty; i++){
         delete ArrayElement[i];
         }
      }
   };
void OnStart()
  {
  TestArrayClass * TestArray = new TestArrayClass(2); 
  int stop = 1; 
  }
//+------------------------------------------------------------------+
